package cn.wisenergy.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author 86187
 * @ Description: 月度奖金页面展示数据Vo
 * @ Author     : 86187
 * @ Date       : 2021/3/9 11:09
 */
@ApiModel("MonthAwardVo")
@Data
public class MonthAwardVo {
    /**
     * 历史累计奖金
     */
    @ApiModelProperty(value = "历史累计奖金", name = "totalAward")
    private Double totalAward;

    /**
     * 本月新增
     */
    @ApiModelProperty(value = "本月新增", name = "monthIncreased")
    private Double monthIncreased;

    /**
     * 用户-份额
     */
    @ApiModelProperty(value = "用户-份额", name = "userMonthAward")
    private Double userMonthAward;

    /**
     * 黄金树等级奖金
     */
    @ApiModelProperty(value = "黄金树等级奖金", name = "goldAward")
    private Double goldAward;

    /**
     * 农场主等级 奖金
     */
    @ApiModelProperty(value = "农场主等级 奖金", name = "farmerAward")
    private Double farmerAward;

    /**
     * 森林之星等级奖金
     */
    @ApiModelProperty(value = "森林之星等级奖金", name = "forestStartAward")
    private Double forestStartAward;

    /**
     * 西田森合伙人等级奖金
     */
    @ApiModelProperty(value = "西田森合伙人等级奖金", name = "partnerAward")
    private Double partnerAward;
}
