package cn.wisenergy.service.app;


import cn.wisenergy.common.utils.R;
import cn.wisenergy.model.vo.MonthAwardVo;

/**
 * @author 86187
 */
public interface TradeRecordService {
    /**
     * 查询本月累计奖金
     *
     * @return 本月累计奖金
     */
    R<Double> queryMonthAward();

    /**
     * 查询各种月度奖金
     *
     * @param userId 用户id
     * @return 各种月度奖金
     */
    R<MonthAwardVo> queryAllAward(String userId);
}
