package cn.wisenergy.service.app.impl;

import cn.wisenergy.common.utils.R;
import cn.wisenergy.mapper.TradeRecordMapper;
import cn.wisenergy.model.app.TradeRecord;
import cn.wisenergy.model.vo.MonthAwardVo;
import cn.wisenergy.service.app.TradeRecordService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * @author 86187
 */
@Service
@Slf4j
public class TradeRecordServiceImpl extends ServiceImpl<TradeRecordMapper, TradeRecord> implements TradeRecordService {


    @Override
    public R<Double> queryMonthAward() {
        log.info("shop-mall[]TradeRecordServiceImpl[]queryMonthAward[]input.method");

        //获取本月累计奖金
        Double award = baseMapper.queryMonthAward(new Date());
        return R.ok(award);
    }

    @Override
    public R<MonthAwardVo> queryAllAward(String userId) {
        log.info("shop-mall[]TradeRecordServiceImpl[]queryAllAward[]input.param.userId:"+userId);
        if(StringUtils.isBlank(userId)){
            return R.error("入参为空!");
        }


        return null;
    }
}
